Package org.apache.any23.extractor.html

## Class HCardExtractorFactory

- java.lang.Object
- - org.apache.any23.extractor.SimpleExtractorFactory<HCardExtractor>
  - - org.apache.any23.extractor.html.HCardExtractorFactory

- All Implemented Interfaces:
    `org.apache.any23.extractor.ExtractorDescription`, `org.apache.any23.extractor.ExtractorFactory<HCardExtractor>`

      public class HCardExtractorFactory
      extends SimpleExtractorFactory<HCardExtractor>
      implements org.apache.any23.extractor.ExtractorFactory<HCardExtractor>

  Author:
    Peter Ansell p_ansell@yahoo.com

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` |
    `static org.apache.any23.rdf.Prefixes` | `PREFIXES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HCardExtractorFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HCardExtractor` | `createExtractor()` |
    `static org.apache.any23.extractor.ExtractorDescription` | `getDescriptionInstance()` |

    - ### Methods inherited from class org.apache.any23.extractor.SimpleExtractorFactory

      `getExampleInput, getExtractorLabel, getExtractorName, getPrefixes, getSupportedMIMETypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorDescription

      `getExtractorLabel, getExtractorName, getPrefixes`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorFactory

      `getExampleInput, getSupportedMIMETypes`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### PREFIXES

          public static final org.apache.any23.rdf.Prefixes PREFIXES

  - ### Constructor Detail

    - #### HCardExtractorFactory

          public HCardExtractorFactory()

  - ### Method Detail

    - #### createExtractor

          public HCardExtractor createExtractor()

      Specified by:
        `createExtractor` in interface `org.apache.any23.extractor.ExtractorFactory<HCardExtractor>`

    - #### getDescriptionInstance

          public static org.apache.any23.extractor.ExtractorDescription getDescriptionInstance()